## aflplusplus 4.21c

=== frida_mode/many-linux/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

shell:
	@gmake shell

=== utils/afl_proxy/Makefile ===
all:	afl-proxy

afl-proxy:	afl-proxy.c
	$(CC) -I../../include -o afl-proxy afl-proxy.c

clean:
	rm -f afl-proxy *~ core

=== custom_mutators/aflpp/standalone/Makefile ===

CFLAGS = -O3 -funroll-loops -fPIC

all: aflpp-standalone

aflpp-standalone:	aflpp-standalone.c
	$(CC) $(CFLAGS) -I../../../include -I. -o aflpp-standalone aflpp-standalone.c ../../../src/afl-performance.c

clean:
	rm -f *.o *~ aflpp-standalone core

=== frida_mode/test/bloaty/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

frida:
	@gmake frida

=== frida_mode/test/cache/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

frida:
	@gmake frida

frida_nocache:
	@gmake frida_nocache

debug:
	@gmake debug

clean:
	@gmake clean

format:
	@gmake format

=== frida_mode/test/jpeg/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

frida:
	@gmake frida

debug:
	@gmake debug

=== frida_mode/test/osx-lib/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

frida_persistent:
    @gmake frida_persistent

frida_persistent_hook:
    @gmake frida_persistent_hook

=== frida_mode/test/python/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

run:
	@gmake run

qemu:
	@gmake qemu

frida:
	@gmake frida

=== frida_mode/test/re2/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

qemu:
	@gmake qemu

frida:
	@gmake frida

debug:
	@gmake debug

=== unicorn_mode/samples/persistent/Makefile ===
# UnicornAFL Usage
# Original Unicorn Example Makefile by Nguyen Anh Quynh <aquynh@gmail.com>, 2015
# Adapted for AFL++ by domenukk <domenukk@gmail.com>, 2020
.POSIX:
UNAME_S =$(shell uname -s)# GNU make
UNAME_S:sh=uname -s       # BSD make

UNICORNAFL_LIB = ../../unicornafl/build
UNICORN_LIB = ../../unicornafl/unicorn/build
BIN_EXT =
AR_EXT = a

# Verbose output?
V ?= 0

CFLAGS += -Wall -Werror -I../../unicornafl/unicorn/include -I../../unicornafl/include

LDFLAGS += -L$(UNICORNAFL_LIB) -L$(UNICORN_LIB) -lunicornafl -lunicorn -lpthread -lm -lstdc++

ifeq ($(UNAME), Linux)
# do something Linux-y
LRT = -lrt
else
LRT = 
endif

LDFLAGS += $(LRT)

.PHONY: all clean

all: harness

clean:
	rm -rf *.o harness harness-debug

harness.o: harness.c ../../unicornafl/unicorn/include/unicorn/*.h
	${CC} ${CFLAGS} -O3 -c harness.c

harness-debug.o: harness.c ../../unicornafl/unicorn/include/unicorn/*.h
	${CC} ${CFLAGS} -DAFL_DEBUG=1 -g -c harness.c -o $@

harness: harness.o
	${CC} harness.o ../../unicornafl/build/libunicornafl.a $(LDFLAGS) -o $@

debug: harness-debug.o
	${CC} harness-debug.o ../../unicornafl/build/libunicornafl.a $(LDFLAGS) -o harness-debug

../../unicornafl/build/libunicornafl.a:
	cd ../.. && ./build_unicorn_support.sh

fuzz: harness
	DYLD_FALLBACK_LIBRARY_PATH="../../unicornafl/unicorn/build" LD_LIBRARY_PATH="../../unicornafl/unicorn/build" ../../../afl-fuzz -m none -i sample_inputs -o out -- ./harness @@

debugmake:
	@echo UNAME_S=$(UNAME_S), _LRT=$(_LRT), __LRT=$(__LRT), LRT=$(LRT)

=== debian/changelog ===
aflplusplus (4.21c-4ubuntu2) plucky; urgency=medium

  * Don't b-d on g++-multilib on s390x anymore.
  * Ignore test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 19:27:17 +0100

aflplusplus (4.21c-4ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf
    - Ignore for now test failures on s390x, clang is flaky there.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 11:30:10 +0100

aflplusplus (4.21c-4) unstable; urgency=medium

  * Team upload.
  * Remove dependency on dh-buildinfo

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Nov 2024 13:46:57 +0100

aflplusplus (4.21c-3) unstable; urgency=medium

  * Update to llvm-toolchain-19 (Closes: #1084065)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 11:03:05 +0200

aflplusplus (4.21c-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on gcc-14-plugin-dev (Closes: #1077455)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 27 Aug 2024 07:57:54 +0200

aflplusplus (4.21c-2) unstable; urgency=medium

  * Ignore laf-intel/compcov test failure on s390x

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 02 Jul 2024 10:34:19 +0700

aflplusplus (4.21c-1) unstable; urgency=medium

  * New upstream version 4.21c
  * Drop patches applied upstream
  * Add Rules-Requires-Root: no
  * Bump Standards-Version

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 19 Jun 2024 09:24:59 +0700

=== debian/control ===
Source: aflplusplus
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
 Raphaël Hertzog <raphael@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 clang-19,
 debhelper-compat (= 13),
 dh-strip-nondeterminism,
 gcc-14-plugin-dev,
 gcc-multilib [amd64 i386 mips64el mipsel ppc64 sparc64 x32],
 lld-19 [!s390x],
 llvm-19-dev,
 python3-dev,
# for the tests
 clang,
 libcmocka-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/AFLplusplus/AFLplusplus
Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/aflplusplus

Package: afl++
Architecture: any
Depends: build-essential,
         procps,
         clang-${llvm-major-version},
	 clang,
	 ${misc:Depends},
	 ${shlibs:Depends}
Recommends: afl++-doc
Suggests: gnuplot
Breaks: afl (<< 2.53c), afl++-clang (<< 3.14c)
Replaces: afl (<< 2.53c), afl++-clang (<< 3.14c)
Description: instrumentation-driven fuzzer for binary formats
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary. This substantially
 improves the functional coverage for the fuzzed code. The compact synthesized
 corpora produced by the tool are also useful for seeding other, more labor- or
 resource-intensive testing regimes down the road.
 .
 afl++-fuzz is designed to be practical: it has modest performance
 overhead, uses a variety of highly effective fuzzing strategies, requires
 essentially no configuration, and seamlessly handles complex, real-world use
 cases - say, common image parsing or file compression libraries.
 .
 afl++ is a fork of the unmaintained afl.

Package: afl++-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: afl++
Multi-Arch: foreign
Description: instrumentation-driven fuzzer for binary formats - documentation
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary.
 .
 This package provides the documentation, a collection of special crafted test
 cases, vulnerability samples and experimental stuff.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# don't emit NEON instructions whatsoever to prevent FTBFS on machines which
# doesn't support that, see #842143 [thanks to Paul Wise]
ifeq "$(shell dpkg-architecture -q DEB_HOST_ARCH)" "armhf"
export DEB_CFLAGS_MAINT_APPEND = -mfpu=vfpv3
export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=vfpv3
endif

export HOSTNAME =
export PREFIX = /usr

ifeq "$(filter i386 amd64,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))" ""
export AFL_NO_X86 = 1
endif

# Keep this in sync with Build-Depends (clang-X, llvm-X-dev)
export LLVM_MAJOR_VERSION = 19
export LLVM_CONFIG = llvm-config-$(LLVM_MAJOR_VERSION)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) distrib

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm $(CURDIR)/debian/tmp/usr/bin/afl-clang
	rm $(CURDIR)/debian/tmp/usr/bin/afl-clang++
	# insert correct version in helper-script
	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang
	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang++

override_dh_install:
	dh_install
ifneq "$(AFL_NO_X86)" ""
	# Keep only the *-fast* variants on non-x86
	cd debian/afl++/usr/lib/afl/ && rm as afl-as
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (s390x,$(DEB_HOST_ARCH))
	$(MAKE) test || true
else
	-$(MAKE) test
endif
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vllvm-major-version=$(LLVM_MAJOR_VERSION)

override_dh_installdocs:
	dh_installdocs -A README.md -XINSTALL.md

override_dh_compress:
	dh_compress -X.c -X.mp4 -X.sql -XREADME -X.txt

override_dh_strip_nondeterminism:
	# see #803503
	dh_strip_nondeterminism -Nafl++-doc

override_dh_strip:
	dh_strip -Nafl++-doc

override_dh_makeshlibs:
	dh_makeshlibs -Nafl++-doc

override_dh_dwz:
	# do not run dh_dwz. Since clang 14 it fails with
	# "Unknown debugging section .debug_addr"

=== debian/tests/control ===
Tests: smoke-test-gcc
Depends: afl++, build-essential
Restrictions: allow-stderr

Tests: smoke-test-clang
Depends: afl++, build-essential
Restrictions: allow-stderr

Tests: smoke-test-clang-fast
Depends: afl++, build-essential
Restrictions: allow-stderr

Tests: adequate-afl
Depends: adequate, afl++

## aflplusplus 4.33c

=== frida_mode/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

format:
	@gmake format

hook:
	@gmake hook

=== instrumentation/Makefile ===
all:
	@echo "no need to do make in the instrumentation/ directory :) - it is all done in the main one"

=== custom_mutators/aflpp/Makefile ===

CFLAGS = -O3 -funroll-loops -fPIC -Wl,-Bsymbolic

all: aflpp-mutator.so

aflpp-mutator.so:	aflpp.c
	$(CC) $(CFLAGS) -I../../include -I. -shared -o aflpp-mutator.so aflpp.c ../../src/afl-performance.c

clean:
	rm -f *.o *~ *.so core

=== custom_mutators/atnwalk/Makefile ===
all:	atnwalk.so

atnwalk.so:	atnwalk.c
	$(CC) -I ../../include/ -shared -fPIC -O3 -o atnwalk.so atnwalk.c

clean:
	rm -f *.so *.o *~ core

=== custom_mutators/libfuzzer/Makefile ===

CFLAGS = -g -O3 -funroll-loops -fPIC -fpermissive -std=c++11
#CFLAGS = -g -O0 -fPIC -fpermissive -std=c++11
CXX ?= clang++

ifdef INTROSPECTION
  $(info Compiling with introspection documentation)
  CFLAGS += -DINTROSPECTION=1
endif

all: libfuzzer-mutator.so

FuzzerCrossOver.o:	FuzzerCrossOver.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerDataFlowTrace.o:	FuzzerDataFlowTrace.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerDriver.o:	FuzzerDriver.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerExtFunctionsDlsym.o:	FuzzerExtFunctionsDlsym.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerExtFunctionsWeak.o:	FuzzerExtFunctionsWeak.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerExtFunctionsWindows.o:	FuzzerExtFunctionsWindows.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerExtraCounters.o:	FuzzerExtraCounters.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerFork.o:	FuzzerFork.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerIO.o:	FuzzerIO.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerIOPosix.o:	FuzzerIOPosix.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerIOWindows.o:	FuzzerIOWindows.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerLoop.o:	FuzzerLoop.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerMerge.o:	FuzzerMerge.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerMutate.o:	FuzzerMutate.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerSHA1.o:	FuzzerSHA1.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerTracePC.o:	FuzzerTracePC.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtil.o:	FuzzerUtil.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtilDarwin.o:	FuzzerUtilDarwin.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtilFuchsia.o:	FuzzerUtilFuchsia.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtilLinux.o:	FuzzerUtilLinux.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtilPosix.o:	FuzzerUtilPosix.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

FuzzerUtilWindows.o:	FuzzerUtilWindows.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

libfuzzer.o:	libfuzzer.cpp
	$(CXX) $(CFLAGS) -I../../include -I. -c $^

libfuzzer-mutator.so:	FuzzerCrossOver.o FuzzerDataFlowTrace.o FuzzerDriver.o FuzzerExtFunctionsDlsym.o FuzzerExtFunctionsWeak.o FuzzerExtFunctionsWindows.o FuzzerExtraCounters.o FuzzerFork.o FuzzerIO.o FuzzerIOPosix.o FuzzerIOWindows.o FuzzerLoop.o FuzzerMerge.o FuzzerMutate.o FuzzerSHA1.o FuzzerTracePC.o FuzzerUtil.o FuzzerUtilDarwin.o FuzzerUtilFuchsia.o FuzzerUtilLinux.o FuzzerUtilPosix.o FuzzerUtilWindows.o libfuzzer.o
	$(CXX) $(CFLAGS) -I../../include -I. -shared -o libfuzzer-mutator.so *.o

clean:
	rm -f *.o *~ *.so core

=== custom_mutators/symcc/Makefile ===

ifdef DEBUG
  CFLAGS += -DDEBUG
endif

all: symcc-mutator.so

CFLAGS	+= -O3 -funroll-loops

symcc-mutator.so: symcc.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -g -I../../include -shared -fPIC -o symcc-mutator.so symcc.c

clean:
	rm -f symcc-mutator.so *.o *~ core

=== custom_mutators/symqemu/Makefile ===

ifdef DEBUG
  CFLAGS += -DDEBUG
endif

all: symqemu-mutator.so

CFLAGS	+= -O3 -funroll-loops

symqemu-mutator.so: symqemu.c
	$(CC) -g $(CFLAGS) $(CPPFLAGS) -g -I../../include -shared -fPIC -o symqemu-mutator.so symqemu.c

clean:
	rm -f symqemu-mutator.so *.o *~ core

=== qemu_mode/fastexit/Makefile ===
#
# american fuzzy lop++ - fastexit
# --------------------------------
#
# Written by Andrea Fioraldi <andreafioraldi@gmail.com>
#
# Copyright 2019-2024 Andrea Fioraldi. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
#   http://www.apache.org/licenses/LICENSE-2.0
#

TARGETS=fastexit.so fastexit32.so fastexit64.so

all:  $(TARGETS)

fastexit.so: fastexit.c
	@if $(CC) -fPIC -shared fastexit.c -o fastexit.so 2>/dev/null ; then echo "fastexit build success"; else echo "fastexit build failure (that's fine)"; fi

fastexit32.so: fastexit.c
	@if $(CC) -fPIC -m32 -shared fastexit.c -o fastexit32.so 2>/dev/null ; then echo "fastexit32 build success"; else echo "fastexit32 build failure (that's fine)"; fi

fastexit64.so: fastexit.c
	@if $(CC) -fPIC -m64 -shared fastexit.c -o fastexit64.so 2>/dev/null ; then echo "fastexit64 build success"; else echo "fastexit64 build failure (that's fine)"; fi

clean:
	rm -f fastexit.so

=== qemu_mode/hooking_bridge/Makefile ===
.PHONY: clean

all: plugin
SRC=./src
BLD=./build
INC=-I./inc -I../qemuafl/include -I$(GLIB_H) -I$(GLIB_CONFIG_H)
# CC=gcc

$(BLD)/patching.o:$(SRC)/patching.c
	$(CC) -c -fPIC $(INC) -o $(BLD)/patching.o $(SRC)/patching.c
	
plugin:$(SRC)/main.c $(BLD)/patching.o
	$(CC) -c -fPIC $(INC) -o $(BLD)/plugin.o $(SRC)/main.c
	$(CC) -shared -o $(BLD)/plugin.so $(BLD)/plugin.o $(BLD)/patching.o

clean:
	rm -rf $(BLD)/*.o
	rm -rf $(BLD)/*.so

=== qemu_mode/libcompcov/Makefile ===
#
# american fuzzy lop++ - libcompcov
# --------------------------------
#
# Written by Andrea Fioraldi <andreafioraldi@gmail.com>
#
# Copyright 2019-2024 Andrea Fioraldi. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
#   http://www.apache.org/licenses/LICENSE-2.0
#

PREFIX      ?= /usr/local
HELPER_PATH  = $(PREFIX)/lib/afl
DOC_PATH    ?= $(PREFIX)/share/doc/afl
MAN_PATH    ?= $(PREFIX)/share/man/man8

VERSION     = $(shell grep '^\#define VERSION ' ../config.h | cut -d '"' -f2)

CFLAGS      ?= -O3 -funroll-loops
CFLAGS      += -I ../../include/
CFLAGS      += -Wall -Wno-unused-result -D_FORTIFY_SOURCE=2 -g -Wno-pointer-sign
LDFLAGS     += -ldl

all: libcompcov.so

libcompcov.so: libcompcov.so.c ../../config.h
	$(CC) $(CFLAGS) -shared -fPIC $< -o ../../$@ $(LDFLAGS)

.NOTPARALLEL: clean

clean:
	rm -f *.o *.so *~ a.out core core.[1-9][0-9]*
	rm -f ../../libcompcov.so compcovtest

compcovtest:	compcovtest.cc
	$(CXX) -std=c++11 $< -o $@ 

install: all
	install -m 755 ../../libcompcov.so $${DESTDIR}$(HELPER_PATH)
	install -m 644 -T README.md $${DESTDIR}$(DOC_PATH)/README.compcov.md

=== qemu_mode/libqasan/Makefile ===
#
# american fuzzy lop++ - libqasan
# -------------------------------
#
# Written by Andrea Fioraldi <andreafioraldi@gmail.com>
#
# Copyright 2019-2024 Andrea Fioraldi. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
#   http://www.apache.org/licenses/LICENSE-2.0
#

PREFIX      ?= /usr/local
HELPER_PATH  = $(PREFIX)/lib/afl
DOC_PATH    ?= $(PREFIX)/share/doc/afl
MAN_PATH    ?= $(PREFIX)/share/man/man8

VERSION     = $(shell grep '^\#define VERSION ' ../config.h | cut -d '"' -f2)

CFLAGS      += -I ../qemuafl/qemuafl/
CFLAGS      += -Wno-int-to-void-pointer-cast -ggdb
LDFLAGS     += -ldl -pthread

SRC := libqasan.c hooks.c malloc.c string.c uninstrument.c patch.c dlmalloc.c
HDR := libqasan.h

all: libqasan.so

libqasan.so: $(HDR) $(SRC)
	$(CC) $(CFLAGS) -fPIC -shared $(SRC) -o ../../$@ $(LDFLAGS)

.NOTPARALLEL: clean

clean:
	rm -f *.o *.so *~ a.out core core.[1-9][0-9]*
	rm -f ../../libqasan.so

install: all
	install -m 755 ../../libqasan.so $${DESTDIR}$(HELPER_PATH)
	install -m 644 -T README.md $${DESTDIR}$(DOC_PATH)/README.qasan.md

=== utils/afl_network_proxy/Makefile ===
all:
	@echo please use GNU make, thanks!

=== debian/changelog ===
aflplusplus (4.33c-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Ignore test failures on non-x86
  * Remove dh_install override

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Sep 2025 09:42:02 +0200

aflplusplus (4.33c-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1096282)
    - remove replace-all-pyobject_getattrstring-with-.patch (no longer
      needed)
    - disable unit_{rand,hash} tests
    - disable smoke-test-gcc autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Sep 2025 09:37:35 +0200

aflplusplus (4.21c-5) unstable; urgency=medium

  * Team upload.

  [ Ben Harris ]
  * Fix compatibility with Python 3.13 (Closes: #1091402)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 11:35:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aflplusplus
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
@@ -11,11 +10,11 @@
  clang-19,
  debhelper-compat (= 13),
  dh-strip-nondeterminism,
- gcc-14-plugin-dev,
- gcc-multilib [amd64 i386 mips64el mipsel ppc64 sparc64 x32],
+ gcc-15-plugin-dev,
+ gcc-multilib [amd64 i386 mips64el mipsel ppc64 s390x sparc64 x32],
  lld-19 [!s390x],
  llvm-19-dev,
- python3-dev,
+ python3-dev (>= 3.13~),
 # for the tests
  clang,
  libcmocka-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 ifeq "$(filter i386 amd64,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))" ""
 export AFL_NO_X86 = 1
+IGNORE_TEST_FAILURE = || true
 endif
 
 # Keep this in sync with Build-Depends (clang-X, llvm-X-dev)
@@ -34,20 +35,9 @@
 	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang
 	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang++
 
-override_dh_install:
-	dh_install
-ifneq "$(AFL_NO_X86)" ""
-	# Keep only the *-fast* variants on non-x86
-	cd debian/afl++/usr/lib/afl/ && rm as afl-as
-endif
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (s390x,$(DEB_HOST_ARCH))
-	$(MAKE) test || true
-else
-	-$(MAKE) test
-endif
+	$(MAKE) test $(IGNORE_TEST_FAILURE)
 endif
 
 override_dh_gencontrol:

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-Tests: smoke-test-gcc
-Depends: afl++, build-essential
-Restrictions: allow-stderr
-
 Tests: smoke-test-clang
 Depends: afl++, build-essential
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%aflplusplus-$1.tar.gz%" \
    https://github.com/AFLplusplus/AFLplusplus/tags \
    (?:.*?/)?v?(\d.*)\.tar\.gz debian uupdate
